<?php
/**
 * PlaySmsSenderFields File Doc Comment
 *
 * @author   App World sp. z o.o.
 * @copyright 2018 App World sp. z o.o.
 * @license  http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * @category PlaySmsSenderFields
 * @package  playsmsusernotifier
 *
 */

/**
 * PlaySmsSenderFields Class Doc Comment
 *
 * @category Class
 * @package  playsmsusernotifier
 * @author   App World sp. z o.o.
 * @license  http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * @link     http://www.hashbangcode.com/
 *
 */
class PlaySmsSenderFields
{
    /**
     *
     * Gets available sender fields from PlaySMS Api
     *
     * @param string $apiUserName Api Key/Username for PlaySMS Api
     * @param string $apiPassword Password for PlaySMS Api
     *
     * @return array of sender fields on successful attemp or "ERROR" on unsuccessful
     */

    public $apiKey;
    public $apiPassword;

    public function __construct($apiKey, $apiPassword)
    {
        $this->setApiKey($apiKey);
        $this->setApiPassword($apiPassword);
    }

    public function setApiKey($apiKey)
    {
        $this->apiKey = (string)$apiKey;
    }

    public function setApiPassword($apiPassword)
    {
        $this->apiPassword = (string)$apiPassword;
    }

    public function getHeaders()
    {
        $url             = 'https://api.playsms.pl/senderFields';
        $loginParameters = "key=" . trim($this->apiKey) . "&password=" . trim($this->apiPassword);

        $c = curl_init();
        curl_setopt($c, CURLOPT_URL, $url);
        curl_setopt($c, CURLOPT_POST, true);
        curl_setopt($c, CURLOPT_POSTFIELDS, $loginParameters);
        curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
        $content = curl_exec($c);

        return $content;
    }
}
